org.hibernate.validator.internal.util.logging

## Interface Messages

- All Known Implementing Classes:
    Messages_$bundle

      @MessageBundle(projectCode="HV")
      public interface Messages

  Author:
    Hardy Ferentschik

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Messages` | `MESSAGES` The messages.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `beanTypeCannotBeNull()`
    `String` | `beanTypeMustNotBeNull()`
    `String` | `classCannotBeNull()`
    `String` | `classIsNull()`
    `String` | `groupMustNotBeNull()`
    `String` | `inputStreamCannotBeNull()`
    `String` | `methodNameMustNotBeNull()`
    `String` | `mustNotBeNull()`
    `String` | `mustNotBeNull(String parameterName)`
    `String` | `parameterMustNotBeEmpty(String parameterName)`
    `String` | `parameterMustNotBeNull(String parameterName)`
    `String` | `propertyNameMustNotBeEmpty()`
    `String` | `propertyPathCannotBeNull()`
    `String` | `unableToFindScriptEngine(String languageName)`
    `String` | `validatedConstructorCreatedInstanceMustNotBeNull()`
    `String` | `validatedConstructorMustNotBeNull()`
    `String` | `validatedMethodMustNotBeNull()`
    `String` | `validatedObjectMustNotBeNull()`
    `String` | `validatedParameterArrayMustNotBeNull()`

- - ### Field Detail

    - #### MESSAGES

          static final Messages MESSAGES

      The messages.

  - ### Method Detail

    - #### mustNotBeNull

          @Message(value="must not be null.",
                   format=NO_FORMAT)
          String mustNotBeNull()

    - #### mustNotBeNull

          @Message(value="%s must not be null.")
          String mustNotBeNull(String parameterName)

    - #### parameterMustNotBeNull

          @Message(value="The parameter \"%s\" must not be null.")
          String parameterMustNotBeNull(String parameterName)

    - #### parameterMustNotBeEmpty

          @Message(value="The parameter \"%s\" must not be empty.")
          String parameterMustNotBeEmpty(String parameterName)

    - #### beanTypeCannotBeNull

          @Message(value="The bean type cannot be null.",
                   format=NO_FORMAT)
          String beanTypeCannotBeNull()

    - #### propertyPathCannotBeNull

          @Message(value="null is not allowed as property path.",
                   format=NO_FORMAT)
          String propertyPathCannotBeNull()

    - #### propertyNameMustNotBeEmpty

          @Message(value="The property name must not be empty.",
                   format=NO_FORMAT)
          String propertyNameMustNotBeEmpty()

    - #### groupMustNotBeNull

          @Message(value="null passed as group name.",
                   format=NO_FORMAT)
          String groupMustNotBeNull()

    - #### beanTypeMustNotBeNull

          @Message(value="The bean type must not be null when creating a constraint mapping.",
                   format=NO_FORMAT)
          String beanTypeMustNotBeNull()

    - #### methodNameMustNotBeNull

          @Message(value="The method name must not be null.",
                   format=NO_FORMAT)
          String methodNameMustNotBeNull()

    - #### validatedObjectMustNotBeNull

          @Message(value="The object to be validated must not be null.",
                   format=NO_FORMAT)
          String validatedObjectMustNotBeNull()

    - #### validatedMethodMustNotBeNull

          @Message(value="The method to be validated must not be null.",
                   format=NO_FORMAT)
          String validatedMethodMustNotBeNull()

    - #### classCannotBeNull

          @Message(value="The class cannot be null.",
                   format=NO_FORMAT)
          String classCannotBeNull()

    - #### classIsNull

          @Message(value="Class is null.",
                   format=NO_FORMAT)
          String classIsNull()

    - #### unableToFindScriptEngine

          @Message(value="No JSR 223 script engine found for language \"%s\".")
          String unableToFindScriptEngine(String languageName)

    - #### validatedConstructorMustNotBeNull

          @Message(value="The constructor to be validated must not be null.",
                   format=NO_FORMAT)
          String validatedConstructorMustNotBeNull()

    - #### validatedParameterArrayMustNotBeNull

          @Message(value="The method parameter array cannot not be null.",
                   format=NO_FORMAT)
          String validatedParameterArrayMustNotBeNull()

    - #### validatedConstructorCreatedInstanceMustNotBeNull

          @Message(value="The created instance must not be null.",
                   format=NO_FORMAT)
          String validatedConstructorCreatedInstanceMustNotBeNull()

    - #### inputStreamCannotBeNull

          @Message(value="The input stream for #addMappging() cannot be null.")
          String inputStreamCannotBeNull()

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved